Loading...
Searching...
No Matches
_PurpleBuddyList Struct Reference

The Buddy List. More...

`#include <blist.h>`

## Data Fields

PurpleBlistNode * | root
| The first node in the buddy list.
GHashTable * | buddies
| Every buddy in this list.
void * | ui_data
| UI-specific data.

## Detailed Description

The Buddy List.

Definition at line 191 of file blist.h.

## Field Documentation

## buddies

GHashTable* _PurpleBuddyList::buddies

Every buddy in this list.

Definition at line 193 of file blist.h.

## root

PurpleBlistNode* _PurpleBuddyList::root

The first node in the buddy list.

Definition at line 192 of file blist.h.

## ui_data

void* _PurpleBuddyList::ui_data

UI-specific data.

Definition at line 194 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h